# MatterConverter

import crafttweaker.item.IItemStack;
import mods.gregtech.IControllerTile;
import mods.gregtech.recipe.RecipeMap;
import mods.gregtech.recipe.RecipeMaps;
import mods.gregtech.recipe.FactoryRecipeMap;
import mods.gregtech.recipe.functions.IRunOverclockingLogicFunction;
import mods.gregtech.recipe.IRecipe;
import mods.gregtech.recipe.IRecipeLogic;
import mods.gregtech.multiblock.Builder;
import mods.gregtech.multiblock.FactoryBlockPattern;
import mods.gregtech.multiblock.RelativeDirection;
import mods.gregtech.multiblock.functions.IPatternBuilderFunction;
import mods.gregtech.multiblock.functions.IGetBaseTextureFunction;
import mods.gregtech.multiblock.CTPredicate;
import mods.gregtech.multiblock.IBlockPattern;
import mods.gregtech.multiblock.IIMultiblockPart;
import mods.gregtech.render.ICubeRenderer;
import mods.gregtech.render.MoveType;

print("Initializing 'MatterConverter'...");

########################################
// Основные параметры механизма и название
global matter_converter as RecipeMap = FactoryRecipeMap.start("matter_converter")
  .minInputs(1)
  .maxInputs(2)
  .minOutputs(0)
  .maxOutputs(1)
  .minFluidInputs(0)
  .maxFluidInputs(1)
  .minFluidOutputs(0)
  .maxFluidOutputs(1)
  .build();

val id = 9508;
val loc = "matter_converter";

var matter_converter = Builder.start(loc, id)
  .withPattern(function(controller as IControllerTile) as IBlockPattern {
    return FactoryBlockPattern.start()
      .aisle("CCC", "CCC", "CCC")
      .aisle("CPC", "P P", "CPC")
      .aisle("CPC", "PPP", "CPC")
      .aisle("CPC", "P P", "CPC")
      .aisle("CCC", "CCC", "CCC")
      .aisle(" G ", " S ", " G ")
      .where("S", controller.self())
      .where("C", CTPredicate.states(<metastate:gregtech:fusion_casing:2>).setMinGlobalLimited(12) | controller.autoAbilities())
      .where("G", CTPredicate.states(<metastate:gregtech:multiblock_casing:3>))
      .where("P", CTPredicate.states(<metastate:gregtech:meta_block_compressed_100:2>))
      .where(" ", CTPredicate.getAir())
      .build();
  } as IPatternBuilderFunction)
  .withRecipeMap(matter_converter)
  .withBaseTexture(<metastate:gregtech:fusion_casing:2>)
  .buildAndRegister();
matter_converter.hasMaintenanceMechanics = true;
matter_converter.hasMufflerMechanics = false;

assembly_line.recipeBuilder()
    .inputs(<threng:material:6> * 12, <ore:circuitZpm> * 8, <gregtech:meta_item_1:133> * 4, <gregtech:meta_item_1:148> * 4, <gregtech:meta_item_1:163> * 4, <gregtech:meta_item_1:193> * 2, <gregtech:meta_item_1:238> * 2, <gregtech:meta_item_1:208>, <gregtech:machine:992>)
    .fluidInputs([<liquid:soldering_alloy> * 1728, <liquid:naquadah> * 720])
    .outputs(<metaitem:multiblocktweaker:matter_converter>)
    .duration(120 * 20)
    .EUt(50000)
    .buildAndRegister();

// Название
game.setLocalization(
    "multiblocktweaker.machine.matter_converter.name",
    "Преобразователь материи"
);
game.setLocalization(
    "multiblocktweaker.multiblock.matter_converter.description",
    "Преобразователь материи позволяет конвертировать различные материалы в материю и обратно."
);
game.setLocalization(
    "recipemap.matter_converter.name",
    "Преобразователь материи"
);


print("Initialized 'MatterConverter'");