# MatterConverter

import crafttweaker.item.IItemStack;
import mods.gregtech.IControllerTile;
import mods.gregtech.recipe.RecipeMap;
import mods.gregtech.recipe.RecipeMaps;
import mods.gregtech.recipe.FactoryRecipeMap;
import mods.gregtech.recipe.functions.IRunOverclockingLogicFunction;
import mods.gregtech.recipe.IRecipe;
import mods.gregtech.recipe.IRecipeLogic;
import mods.gregtech.multiblock.Builder;
import mods.gregtech.multiblock.FactoryBlockPattern;
import mods.gregtech.multiblock.RelativeDirection;
import mods.gregtech.multiblock.functions.IPatternBuilderFunction;
import mods.gregtech.multiblock.functions.IGetBaseTextureFunction;
import mods.gregtech.multiblock.CTPredicate;
import mods.gregtech.multiblock.IBlockPattern;
import mods.gregtech.multiblock.IIMultiblockPart;
import mods.gregtech.render.ICubeRenderer;
import mods.gregtech.render.MoveType;

print("Initializing 'ParticleAccelerator'...");

########################################
// Основные параметры механизма и название
global particle_accelerator as RecipeMap = FactoryRecipeMap.start("particle_accelerator")
  .minInputs(0)
  .maxInputs(0)
  .minOutputs(0)
  .maxOutputs(0)
  .minFluidInputs(1)
  .maxFluidInputs(1)
  .minFluidOutputs(1)
  .maxFluidOutputs(1)
  .build();

val id = 9509;
val loc = "particle_accelerator";

var particle_accelerator = Builder.start(loc, id)
  .withPattern(function(controller as IControllerTile) as IBlockPattern {
    return FactoryBlockPattern.start()
      .aisle("         ", "         ", "    G    ", "    G    ", "    G    ", "    G    ", "    G    ", "         ", "         ")
      .aisle("         ", "    G    ", "   GPG   ", "   GPG   ", "   GPG   ", "   GPG   ", "   GPG   ", "    G    ", "         ")
      .aisle("    G    ", "   GPG   ", "   GPG   ", "    G    ", "    G    ", "    G    ", "   GPG   ", "   GPG   ", "    G    ")
      .aisle("    G    ", "  GGPGG  ", " GG G GG ", " G     G ", " G     G ", " G     G ", " GG G GG ", "  GGPGG  ", "    G    ")
      .aisle("  GGGGG  ", " GPPPPPG ", "GPPGGGPPG", "GPG   GPG", "GPG   GPG", "GPG   GPG", "GPPGGGPPG", " GPPPPPG ", "  GGGGG  ")
      .aisle("    G    ", "  GGPGG  ", " GG G GG ", " G     G ", " G     G ", " G     G ", " GG G GG ", "  GGPGG  ", "    G    ")
      .aisle("    G    ", "   GPG   ", "   GPG   ", "    G    ", "    G    ", "    G    ", "   GPG   ", "   GPG   ", "    G    ")
      .aisle("         ", "    G    ", "   GPG   ", "   GPG   ", "   GPG   ", "   GPG   ", "   GPG   ", "    G    ", "         ")
      .aisle("   CCC   ", "   CCC   ", "   CGC   ", "   CGC   ", "   CGC   ", "    G    ", "    G    ", "         ", "         ")
      .aisle("   CCC   ", "   CCC   ", "   CCC   ", "   CCC   ", "         ", "         ", "         ", "         ", "         ")
      .aisle("   CCC   ", "   CSC   ", "   CCC   ", "         ", "         ", "         ", "         ", "         ", "         ")
      .where("S", controller.self())
      .where("C", CTPredicate.states(<metastate:gregtech:metal_casing:7>).setMinGlobalLimited(18) | controller.autoAbilities())
      .where("G", CTPredicate.states(<metastate:gregtech:fusion_casing:3>))
      .where("P", CTPredicate.states(<metastate:gregtech:fusion_casing:1>))
      .where(" ", CTPredicate.getAir())
      .build();
  } as IPatternBuilderFunction)
  .withRecipeMap(particle_accelerator)
  .withBaseTexture(<metastate:gregtech:metal_casing:7>)
  .buildAndRegister();
particle_accelerator.hasMaintenanceMechanics = true;
particle_accelerator.hasMufflerMechanics = false;

assembly_line.recipeBuilder()
    .inputs(<gregtech:meta_item_1:606> * 64, <ore:wireGtSingleNaquadah> * 32, <gregtech:meta_item_1:148> * 8, <ore:circuitUv> * 4, <gregtech:meta_item_1:208> * 4, <gregtech:meta_item_1:750> * 2, <gregtech:machine:993>)
    .fluidInputs([<liquid:soldering_alloy> * 1440, <liquid:naquadah_alloy> * 720])
    .outputs(<metaitem:multiblocktweaker:particle_accelerator>)
    .duration(120 * 20)
    .EUt(100000)
    .buildAndRegister();

// Название
game.setLocalization(
    "multiblocktweaker.machine.particle_accelerator.name",
    "Ускоритель частиц"
);
game.setLocalization(
    "multiblocktweaker.multiblock.particle_accelerator.description",
    "Ускоритель частиц позволяет создавать антиматерию из обычной материи."
);
game.setLocalization(
    "recipemap.particle_accelerator.name",
    "Ускоритель частиц"
);


print("Initialized 'ParticleAccelerator'");