# TFC_FirmaLife

import mods.terrafirmacraft.Barrel;
import mods.terrafirmacraft.Quern;
import mods.firmalife.Oven;
import crafttweaker.item.IItemStack;

print("Initializing 'TFC_FirmaLife'...");


// Удаление рецептов из NEI 
var items = [<firmalife:oven>, <firmalife:oven_chimney>, <firmalife:oven_wall>, <firmalife:peel>, <firmalife:beehive>, <firmalife:treated_lumber>, <firmalife:candle>, <firmalife:bumper>, <firmalife:turntable>, <firmalife:unused0>, <firmalife:unused1>, <firmalife:unused2>, <firmalife:unused3>, <firmalife:unused4>, <firmalife:pumpkin_scooped>, <firmalife:honeycomb>, <firmalife:beeswax>, <firmalife:cocoa_powder>, <firmalife:jar>, <firmalife:honey_jar>] as IItemStack[];
for item in items {
    mods.jei.JEI.removeAndHide(item);
	item.addTooltip("");
}

// Удаление рецепта крафта бутербродов из целых булок хлеба
recipes.removeByRecipeName("tfc:food/barley/barley_bread_sandwich");
recipes.removeByRecipeName("tfc:food/cornmeal/cornbread_sandwich");
recipes.removeByRecipeName("tfc:food/oat/oat_bread_sandwich");
recipes.removeByRecipeName("tfc:food/rice/rice_bread_sandwich");
recipes.removeByRecipeName("tfc:food/rye/rye_bread_sandwich");
recipes.removeByRecipeName("tfc:food/wheat/wheat_bread_sandwich");

// Получение необработанного меда
recipes.remove(<firmalife:raw_honey>);
furnace.addRecipe(<firmalife:raw_honey>, <forestry:bee_combs>);

// Кусочки ананаса
cutter.recipeBuilder()
    .inputs(<firmalife:pineapple>)
    .fluidInputs([<liquid:water> * 10])
    .outputs(<firmalife:pineapple_chunks> * 4)
    .duration(10 * 20)
    .EUt(24)
    .buildAndRegister();
// Кусочки ананаса в верстаке
recipes.addShapeless(<firmalife:pineapple_chunks> * 2, 
	[<ore:knife>.transformDamage(2), <firmalife:pineapple>]);

// Кусочки арбуза
cutter.recipeBuilder()
    .inputs(<firmalife:melon_fruit>)
    .fluidInputs([<liquid:water> * 10])
    .outputs(<firmalife:melon> * 6)
    .duration(10 * 20)
    .EUt(24)
    .buildAndRegister();
// Кусочки арбуза в верстаке
recipes.addShapeless(<firmalife:melon> * 4, 
	[<ore:knife>.transformDamage(2), <firmalife:melon_fruit>]);

// Кусочки тыквы
cutter.recipeBuilder()
    .inputs(<firmalife:pumpkin_fruit>)
    .fluidInputs([<liquid:water> * 10])
    .outputs(<firmalife:pumpkin_chunks> * 6)
    .duration(10 * 20)
    .EUt(24)
    .buildAndRegister();

// Получение кокосового молока
recipes.addShapeless(<firmalife:cracked_coconut>.withTag({Fluid: {FluidName: "coconut_milk", Amount: 1000}}), 
	[<ore:knife>.transformDamage(3), <firmalife:coconut>]);
cutter.recipeBuilder()
    .inputs(<firmalife:coconut>)
    .fluidInputs([<liquid:water> * 15])
    .outputs(<firmalife:cracked_coconut>.withTag({Fluid: {FluidName: "coconut_milk", Amount: 1000}}))
    .duration(10 * 20)
    .EUt(30)
    .buildAndRegister();

// Лейка
recipes.remove(<firmalife:watering_can>);
recipes.addShaped(<firmalife:watering_can>,
	[[<ore:lumber>, <ore:lumber>],
	[<ore:lumber>, <tfc:wooden_bucket>.noReturn()]]);

// Жареные какао-бобы
furnace.addRecipe(<firmalife:roasted_cocoa_beans>, <firmalife:cocoa_beans>);

// Какао
Quern.addRecipe("TFG_dustCocoa", <firmalife:dried_cocoa_beans>, <gregtech:meta_dust:1614>);

// Какао-масло 
recipes.remove(<firmalife:cocoa_butter>);
Quern.addRecipe("TFG_cocoa_butter", <firmalife:roasted_cocoa_beans>, <firmalife:cocoa_butter>);
chemical_reactor.recipeBuilder()
    .circuit(1)
    .inputs(<firmalife:roasted_cocoa_beans>)
    .outputs(<firmalife:cocoa_butter>)
    .duration(10 * 20)
    .EUt(8)
    .buildAndRegister();

// Молотая корица
macerator.recipeBuilder()
    .inputs(<firmalife:cinnamon>)
    .outputs(<firmalife:ground_cinnamon> * 2)
    .duration(4 * 20)
    .EUt(8)
    .buildAndRegister();

// Плоды пекан
Quern.addRecipe("TFG_pecans", <firmalife:pecan_nuts>, <firmalife:pecans>);
cutter.recipeBuilder()
    .inputs(<firmalife:pecan_nuts>)
    .fluidInputs([<liquid:water> * 5])
    .outputs(<firmalife:pecans>)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();

// Плоды желудя
Quern.addRecipe("TFG_acorn_fruit", <firmalife:acorns>, <firmalife:acorn_fruit>);
cutter.recipeBuilder()
    .inputs(<firmalife:acorns>)
    .fluidInputs([<liquid:water> * 5])
    .outputs(<firmalife:acorn_fruit>)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();

// Жареные каштаны
furnace.addRecipe(<firmalife:roasted_chestnuts>, <firmalife:chestnuts>);

// Кедровые орехи
Quern.addRecipe("TFG_pine_nuts", <firmalife:pinecone>, <firmalife:pine_nuts>);
cutter.recipeBuilder()
    .inputs(<firmalife:pinecone>)
    .fluidInputs([<liquid:water> * 5])
    .outputs(<firmalife:pine_nuts>)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();

// Смесь черного шоколада
recipes.remove(<firmalife:dark_chocolate_blend>);
recipes.addShapeless(<firmalife:dark_chocolate_blend> * 2, 
	[<minecraft:sugar>, <ore:dustCocoa>, <firmalife:cocoa_butter>]);
mixer.recipeBuilder()
    .inputs(<minecraft:sugar>, <ore:dustCocoa>, <firmalife:cocoa_butter>)
    .outputs(<firmalife:dark_chocolate_blend> * 2)
    .duration(8 * 20)
    .EUt(12)
    .buildAndRegister();

// Смесь молочного шоколада
recipes.remove(<firmalife:milk_chocolate_blend>);
recipes.addShapeless(<firmalife:milk_chocolate_blend> * 2, 
	[<minecraft:sugar>, <ore:dustCocoa>, <firmalife:cocoa_butter>, <minecraft:milk_bucket> | <tfc:wooden_bucket>.withTag({Fluid: {FluidName: "milk", Amount: 1000}})]);
mixer.recipeBuilder()
    .inputs(<firmalife:dark_chocolate_blend>)
    .fluidInputs([<liquid:milk> * 250])
    .outputs(<firmalife:milk_chocolate_blend>)
    .duration(8 * 20)
    .EUt(12)
    .buildAndRegister();

// Смесь белого шоколада
mixer.recipeBuilder()
    .inputs(<minecraft:sugar>, <firmalife:cocoa_butter>)
    .fluidInputs([<liquid:milk> * 500])
    .outputs(<firmalife:white_chocolate_blend> * 2)
    .duration(8 * 20)
    .EUt(12)
    .buildAndRegister();

// Черный шоколад
furnace.addRecipe(<firmalife:dark_chocolate>, <firmalife:dark_chocolate_blend>);

// Молочный шоколад
furnace.addRecipe(<firmalife:milk_chocolate>, <firmalife:milk_chocolate_blend>);

// Белый шоколад
furnace.addRecipe(<firmalife:white_chocolate>, <firmalife:white_chocolate_blend>);

// Маринованное яйцо
recipes.remove(<firmalife:pickled_egg>);
recipes.addShapeless(<firmalife:pickled_egg>, 
	[<tfc:food/cooked_egg>, <ore:dustSalt>, <minecraft:clay_ball>]);

// Тост
furnace.addRecipe(<firmalife:toast>, <ore:slice>);

// Новый крафт каштановой муки
Quern.removeRecipe(<firmalife:chestnut_flour>);
Quern.addRecipe("TFG_chestnut_flour", <firmalife:chestnuts>, <firmalife:chestnut_flour>);

// Каштановое тесто
recipes.remove(<firmalife:chestnut_dough>);
recipes.addShapeless(<firmalife:chestnut_dough> * 2, 
	[<tfc:wooden_bucket>.withTag({Fluid: {FluidName: "fresh_water", Amount: 1000}}) | <forge:bucketfilled>.withTag({FluidName: "fresh_water", Amount: 1000}), <firmalife:chestnut_flour>]);

// Ячменное тесто для лепешек
recipes.remove(<firmalife:barley_flatbread_dough>);
recipes.addShapeless(<firmalife:barley_flatbread_dough>, 
	[<tfc:food/barley_dough>, <ore:dustSalt>]);

// Кукурузное тесто для лепешек
recipes.remove(<firmalife:corn_flatbread_dough>);
recipes.addShapeless(<firmalife:corn_flatbread_dough>, 
	[<tfc:food/cornmeal_dough>, <ore:dustSalt>]);

// Овсяное тесто для лепешек
recipes.remove(<firmalife:oat_flatbread_dough>);
recipes.addShapeless(<firmalife:oat_flatbread_dough>, 
	[<tfc:food/oat_dough>, <ore:dustSalt>]);

// Рисовое тесто для лепешек
recipes.remove(<firmalife:rice_flatbread_dough>);
recipes.addShapeless(<firmalife:rice_flatbread_dough>, 
	[<tfc:food/rice_dough>, <ore:dustSalt>]);

// Ржаное тесто для лепешек
recipes.remove(<firmalife:rye_flatbread_dough>);
recipes.addShapeless(<firmalife:rye_flatbread_dough>, 
	[<tfc:food/rye_dough>, <ore:dustSalt>]);

// Пшеничное тесто для лепешек
recipes.remove(<firmalife:wheat_flatbread_dough>);
recipes.addShapeless(<firmalife:wheat_flatbread_dough>, 
	[<tfc:food/wheat_dough>, <ore:dustSalt>]);

// Кусок ячменного хлеба
recipes.remove(<firmalife:barley_slice>);
recipes.addShapeless(<firmalife:barley_slice> * 2, 
	[<ore:knife>.transformDamage(), <tfc:food/barley_bread>]);

// Кусок кукурузного хлеба
recipes.remove(<firmalife:corn_slice>);
recipes.addShapeless(<firmalife:corn_slice> * 2, 
	[<ore:knife>.transformDamage(), <tfc:food/cornbread>]);

// Кусок овсяного хлеба
recipes.remove(<firmalife:oat_slice>);
recipes.addShapeless(<firmalife:oat_slice> * 2, 
	[<ore:knife>.transformDamage(), <tfc:food/oat_bread>]);

// Кусок рисового хлеба
recipes.remove(<firmalife:rice_slice>);
recipes.addShapeless(<firmalife:rice_slice> * 2, 
	[<ore:knife>.transformDamage(), <tfc:food/rice_bread>]);

// Кусок ржаного хлеба
recipes.remove(<firmalife:rye_slice>);
recipes.addShapeless(<firmalife:rye_slice> * 2, 
	[<ore:knife>.transformDamage(), <tfc:food/rye_bread>]);

// Кусок пшеничного хлеба
recipes.remove(<firmalife:wheat_slice>);
recipes.addShapeless(<firmalife:wheat_slice> * 2, 
	[<ore:knife>.transformDamage(), <tfc:food/wheat_bread>]);

// Кусок каштанового хлеба
recipes.remove(<firmalife:chestnut_slice>);
recipes.addShapeless(<firmalife:chestnut_slice> * 2, 
	[<ore:knife>.transformDamage(), <firmalife:chestnut_bread>]);

// Головка сыра Чеддер
recipes.remove(<firmalife:cheddar_wheel>);
recipes.addShaped(<firmalife:cheddar_wheel>,
	[[<firmalife:milk_curd>, <firmalife:milk_curd>, <firmalife:milk_curd>],
	[<firmalife:milk_curd>, <ore:dustSalt>, <firmalife:milk_curd>],
	[<firmalife:milk_curd>, <firmalife:milk_curd>, <firmalife:milk_curd>]]);

// Головка сыра Шевр
recipes.remove(<firmalife:chevre_wheel>);
recipes.addShaped(<firmalife:chevre_wheel>,
	[[<firmalife:goat_curd>, <firmalife:goat_curd>, <firmalife:goat_curd>],
	[<firmalife:goat_curd>, <ore:dustSalt>, <firmalife:goat_curd>],
	[<firmalife:goat_curd>, <firmalife:goat_curd>, <firmalife:goat_curd>]]);

// Головка сыра Раджья-меток
recipes.remove(<firmalife:rajya_metok_wheel>);
recipes.addShaped(<firmalife:rajya_metok_wheel>,
	[[<firmalife:yak_curd>, <firmalife:yak_curd>, <firmalife:yak_curd>],
	[<firmalife:yak_curd>, <ore:dustSalt>, <firmalife:yak_curd>],
	[<firmalife:yak_curd>, <firmalife:yak_curd>, <firmalife:yak_curd>]]);

// Головка сыра Гауда
Barrel.removeRecipe(<firmalife:gouda_wheel>, null);
Barrel.addRecipe("TFG_gouda_wheel", <firmalife:cheddar_wheel> * 1, <liquid:salt_water> * 750, <firmalife:gouda_wheel> * 1, 16);

// Головка сыра Фета
Barrel.removeRecipe(<firmalife:feta_wheel>, null);
Barrel.addRecipe("TFG_feta_wheel", <firmalife:chevre_wheel> * 1, <liquid:salt_water> * 750, <firmalife:feta_wheel> * 1, 16);

// Головка сыра Шоша
Barrel.removeRecipe(<firmalife:shosha_wheel>, null);
Barrel.addRecipe("TFG_shosha_wheel", <firmalife:rajya_metok_wheel> * 1, <liquid:salt_water> * 750, <firmalife:shosha_wheel> * 1, 16);

// Сыр Чеддер
cutter.recipeBuilder()
    .inputs(<firmalife:cheddar_wheel>)
    .fluidInputs([<liquid:water> * 10])
    .outputs(<firmalife:cheddar> * 6)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();
recipes.addShapeless(<firmalife:cheddar> * 4, 
	[<ore:knife>.transformDamage(4), <firmalife:cheddar_wheel>]);

// Сыр Шевр
cutter.recipeBuilder()
    .inputs(<firmalife:chevre_wheel>)
    .fluidInputs([<liquid:water> * 10])
    .outputs(<firmalife:chevre> * 6)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();
recipes.addShapeless(<firmalife:chevre> * 4, 
	[<ore:knife>.transformDamage(4), <firmalife:chevre_wheel>]);

// Сыр Раджья-меток
cutter.recipeBuilder()
    .inputs(<firmalife:rajya_metok_wheel>)
    .fluidInputs([<liquid:water> * 10])
    .outputs(<firmalife:rajya_metok> * 6)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();
recipes.addShapeless(<firmalife:rajya_metok> * 4, 
	[<ore:knife>.transformDamage(4), <firmalife:rajya_metok_wheel>]);

// Сыр Гауда
cutter.recipeBuilder()
    .inputs(<firmalife:gouda_wheel>)
    .fluidInputs([<liquid:water> * 10])
    .outputs(<firmalife:gouda> * 6)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();
recipes.addShapeless(<firmalife:gouda> * 4, 
	[<ore:knife>.transformDamage(4), <firmalife:gouda_wheel>]);

// Сыр Фета
cutter.recipeBuilder()
    .inputs(<firmalife:feta_wheel>)
    .fluidInputs([<liquid:water> * 10])
    .outputs(<firmalife:feta> * 6)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();
recipes.addShapeless(<firmalife:feta> * 4, 
	[<ore:knife>.transformDamage(4), <firmalife:feta_wheel>]);

// Сыр Шоша
cutter.recipeBuilder()
    .inputs(<firmalife:shosha_wheel>)
    .fluidInputs([<liquid:water> * 10])
    .outputs(<firmalife:shosha> * 6)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();
recipes.addShapeless(<firmalife:shosha> * 4, 
	[<ore:knife>.transformDamage(4), <firmalife:shosha_wheel>]);

// Простокваша
mixer.recipeBuilder()
    .inputs(<firmalife:rennet>)
    .fluidInputs([<liquid:milk> * 3000])
    .fluidOutputs([<liquid:milk_curdled> * 3000])
    .duration(60 * 20)
    .EUt(30)
    .buildAndRegister();
mixer.recipeBuilder()
    .inputs(<firmalife:rennet>)
    .fluidInputs([<liquid:zebu_milk> * 3000])
    .fluidOutputs([<liquid:milk_curdled> * 3000])
    .duration(60 * 20)
    .EUt(30)
    .buildAndRegister();

// Простокваша из молока козы
mixer.recipeBuilder()
    .inputs(<firmalife:rennet>)
    .fluidInputs([<liquid:goat_milk> * 3000])
    .fluidOutputs([<liquid:curdled_goat_milk> * 3000])
    .duration(60 * 20)
    .EUt(30)
    .buildAndRegister();

// Простокваша из молока яка
mixer.recipeBuilder()
    .inputs(<firmalife:rennet>)
    .fluidInputs([<liquid:yak_milk> * 3000])
    .fluidOutputs([<liquid:curdled_yak_milk> * 3000])
    .duration(60 * 20)
    .EUt(30)
    .buildAndRegister();

// Творог из коровьего молока
chemical_reactor.recipeBuilder()
    .fluidInputs([<liquid:milk_curdled> * 500])
    .notConsumable(<firmalife:cheesecloth>)
    .outputs(<firmalife:milk_curd> * 3)
    .duration(15 * 20)
    .EUt(20)
    .buildAndRegister();
recipes.addShapeless(<firmalife:milk_curd> * 2, 
	[<firmalife:cheesecloth>.withTag({Fluid: {FluidName: "milk_curdled", Amount: 500}})]);

// Творог из козьего молока
chemical_reactor.recipeBuilder()
    .fluidInputs([<liquid:curdled_goat_milk> * 500])
    .notConsumable(<firmalife:cheesecloth>)
    .outputs(<firmalife:goat_curd> * 3)
    .duration(15 * 20)
    .EUt(20)
    .buildAndRegister();
recipes.addShapeless(<firmalife:goat_curd> * 2, 
	[<firmalife:cheesecloth>.withTag({Fluid: {FluidName: "curdled_goat_milk", Amount: 500}})]);

// Творог из молока яка
chemical_reactor.recipeBuilder()
    .fluidInputs([<liquid:curdled_yak_milk> * 500])
    .notConsumable(<firmalife:cheesecloth>)
    .outputs(<firmalife:yak_curd> * 3)
    .duration(15 * 20)
    .EUt(20)
    .buildAndRegister();
recipes.addShapeless(<firmalife:yak_curd> * 2, 
	[<firmalife:cheesecloth>.withTag({Fluid: {FluidName: "curdled_yak_milk", Amount: 500}})]);

// Ананасовое волокно
recipes.remove(<firmalife:pineapple_fiber>);
cutter.recipeBuilder()
    .inputs(<firmalife:dried_pineapple>)
    .fluidInputs([<liquid:water> * 5])
    .outputs(<firmalife:pineapple_fiber>)
    .duration(12 * 20)
    .EUt(16)
    .buildAndRegister();
recipes.addShapeless(<firmalife:pineapple_fiber>, 
	[<ore:knife>.transformDamage(), <firmalife:dried_pineapple>]);

// Получение ананасовой пряжи
autoclave.recipeBuilder()
    .inputs(<firmalife:pineapple_fiber>)
    .fluidInputs([<liquid:water> * 1000])
    .outputs(<firmalife:pineapple_yarn> * 8)
    .duration(30 * 20)
    .EUt(16)
    .buildAndRegister();

// Получение ананасовой ткани
assembler.recipeBuilder()
    .inputs(<firmalife:pineapple_yarn> * 8)
    .outputs(<firmalife:pineapple_leather>)
    .duration(20 * 20)
    .EUt(24)
    .buildAndRegister();

// Четырехместный плантатор
recipes.remove(<firmalife:quad_planter>);
recipes.addShaped(<firmalife:quad_planter>,
	[[<ore:dirt>, <forestry:fertilizer_compound>],
	[<minecraft:flower_pot>, <minecraft:flower_pot>],
	[<minecraft:flower_pot>, <minecraft:flower_pot>]]);

// Большой плантатор 
recipes.remove(<firmalife:large_planter>);
recipes.addShaped(<firmalife:large_planter>,
	[[<ore:lumber>, <ore:dirt>, <ore:lumber>],
	[<ore:lumber>, <firmalife:quad_planter>, <ore:lumber>]]);

// Подвесной плантатор с семенами тыквы
recipes.remove(<firmalife:pumpkin_hanging_planter>);
recipes.addShaped(<firmalife:pumpkin_hanging_planter>,
	[[<forestry:fertilizer_compound>, <firmalife:crop/seeds/pumpkin>, <forestry:fertilizer_compound>],
	[<ore:string>, <tfc:crop/product/burlap_cloth> | <ore:clothHighQuality>, <ore:string>],
	[<ore:string>, <firmalife:greenhouse_wall>, <ore:string>]]);

// Подвесной плантатор с семенами арбуза
recipes.remove(<firmalife:melon_hanging_planter>);
recipes.addShaped(<firmalife:melon_hanging_planter>,
	[[<forestry:fertilizer_compound>, <firmalife:crop/seeds/melon>, <forestry:fertilizer_compound>],
	[<ore:string>, <tfc:crop/product/burlap_cloth> | <ore:clothHighQuality>, <ore:string>],
	[<ore:string>, <firmalife:greenhouse_wall>, <ore:string>]]);

// Подвесной плантатор с семенами кабачка
recipes.remove(<firmalife:squash_hanging_planter>);
recipes.addShaped(<firmalife:squash_hanging_planter>,
	[[<forestry:fertilizer_compound>, <tfc:crop/seeds/squash>, <forestry:fertilizer_compound>],
	[<ore:string>, <tfc:crop/product/burlap_cloth> | <ore:clothHighQuality>, <ore:string>],
	[<ore:string>, <firmalife:greenhouse_wall>, <ore:string>]]);

// Жердочки
recipes.remove(<firmalife:trellis>);
recipes.addShaped(<firmalife:trellis>,
	[[<firmalife:greenhouse_wall>, <firmalife:greenhouse_wall>]]);

// Томатное пюре
chemical_reactor.recipeBuilder()
    .inputs(<tfc:food/tomato>)
    .fluidInputs([<liquid:water> * 100])
    .outputs(<firmalife:tomato_sauce>)
    .duration(5 * 20)
    .EUt(8)
    .buildAndRegister();

// Климатическая станция
recipes.remove(<firmalife:climate_station>);
recipes.addShaped(<firmalife:climate_station>,
	[[<ore:plateBrass>, <ore:dyeLightGray>, <ore:plateBrass>],
	[<minecraft:glass>, <ore:craftingTableWood>, <minecraft:glass>],
	[<ore:plateBrass>, <minecraft:redstone>, <ore:plateBrass>]]);

// Климатическая станция I
recipes.remove(<firmalife:climate_station_1>);
recipes.addShaped(<firmalife:climate_station_1>,
	[[<ore:plateWroughtIron>, <ore:dyeRed>, <ore:plateWroughtIron>],
	[<minecraft:redstone>, <firmalife:climate_station>, <minecraft:redstone>],
	[<ore:plateWroughtIron>, <minecraft:redstone>, <ore:plateWroughtIron>]]);
// Подпись к блоку
<firmalife:climate_station_1>.addTooltip("§fПозволяет улучшить обнаружение дефектов вашей теплицы. Щелкните правой кнопкой мыши, чтобы показать либо защищенную область, либо неправильный блок.");

// Климатическая станция II
recipes.remove(<firmalife:climate_station_2>);
recipes.addShaped(<firmalife:climate_station_2>,
	[[<ore:plateSteel>, <ore:dyeLime>, <ore:plateSteel>],
	[<tfc:crop/product/burlap_cloth> | <ore:clothHighQuality>, <firmalife:climate_station_1>, <tfc:crop/product/burlap_cloth> | <ore:clothHighQuality>],
	[<ore:plateSteel>, <ore:plateSilver>, <ore:plateSteel>]]);
// Подпись к блоку
<firmalife:climate_station_2>.addTooltip("§fУлучшенное регулирование климата позволяет ускорить рост растений на 10,5%.");

// Климатическая станция III
recipes.remove(<firmalife:climate_station_3>);
recipes.addShaped(<firmalife:climate_station_3>,
	[[<ore:plateBlackSteel>, <ore:dyePurple>, <ore:plateBlackSteel>],
	[<tfc:bellows>, <firmalife:climate_station_2>, <tfc:bellows>],
	[<ore:plateBlackSteel>, <minecraft:comparator>, <ore:plateBlackSteel>]]);
// Подпись к блоку
<firmalife:climate_station_3>.addTooltip("§fУлучшение позволяет выращивать зерновые культуры в теплице.");

// Климатическая станция IV
recipes.remove(<firmalife:climate_station_4>);
recipes.addShaped(<firmalife:climate_station_4>,
	[[<ore:plateBlueSteel>, <ore:dyePink>, <ore:plateBlueSteel>],
	[<ore:leather>, <firmalife:climate_station_3>, <ore:leather>],
	[<ore:plateBlueSteel>, <ore:plateGold>, <ore:plateBlueSteel>]]);
// Подпись к блоку
<firmalife:climate_station_4>.addTooltip("§fУлучшение позволяет выращивать фруктовые деревья в теплице.");

// Климатическая станция V
recipes.remove(<firmalife:climate_station_5>);
recipes.addShaped(<firmalife:climate_station_5>,
	[[<ore:plateRedSteel>, <ore:dyeCyan>, <ore:plateRedSteel>],
	[<ore:paneGlass>, <firmalife:climate_station_4>, <ore:paneGlass>],
	[<ore:plateRedSteel>, <minecraft:ender_pearl>, <ore:plateRedSteel>]]);
// Подпись к блоку
<firmalife:climate_station_5>.addTooltip("§fУлучшение позволяет отводить водяной пар к разбрызгивателям, избавляя от необходимости запитывания их от бочек с водой.");

// Улучшенный разбрызгиватель 
recipes.remove(<firmalife:sprinkler>);
recipes.addShaped(<firmalife:sprinkler>,
	[[<tfc:metal/tuyere/red_steel>, <firmalife:spout>, <tfc:metal/tuyere/red_steel>]]);

// Тесто для пиццы
mixer.recipeBuilder()
    .inputs(<ore:doughFlat>, <firmalife:tomato_sauce>, <tfc:plants/basil>)
    .outputs(<firmalife:pizza_dough>)
    .duration(10 * 20)
    .EUt(12)
    .buildAndRegister();

// Готовое тесто для пиццы
furnace.addRecipe(<firmalife:cooked_pizza>, <firmalife:pizza_dough>);

// Молотые соевые бобы
cutter.recipeBuilder()
    .inputs(<tfc:food/soybean>)
    .fluidInputs([<liquid:water> * 2])
    .outputs(<firmalife:ground_soybeans>)
    .duration(4 * 20)
    .EUt(24)
    .buildAndRegister();

// Тофу
recipes.addShaped(<firmalife:tofu> * 2,
	[[<firmalife:ground_soybeans>, <firmalife:ground_soybeans>, <ore:dustSalt>]]);

// Кокосовый крем
mixer.recipeBuilder()
    .inputs(<firmalife:pineapple_chunks>)
    .fluidInputs([<liquid:coconut_milk> * 500])
    .outputs(<firmalife:frothy_coconut>)
    .duration(8 * 20)
    .EUt(16)
    .buildAndRegister();


print("Initialized 'TFC_FirmaLife'");